Page 4 of 7

Re: LuxCoreRender daily/automatic builds

Posted: Sat Sep 07, 2019 3:42 pm
by Fox
Odilkhan Yakubov wrote:
Sat Sep 07, 2019 2:58 am
Is it supported by my system or not? As said before, my CPU is legacy. Exactly, Core2Quad Q6600
My previous CPU from same time or so, the core 2 duo e4500 (Q3'07) was not supported in most of the software that i use. I had to upgrade in mid 2016.

Re: LuxCoreRender daily/automatic builds

Posted: Mon Sep 09, 2019 1:32 pm
by Odilkhan Yakubov
Yes, thats it! BUT, i using Cycles too with this config.

Re: LuxCoreRender daily/automatic builds

Posted: Tue Sep 10, 2019 2:52 pm
by B.Y.O.B.
Thanks to acasta69, daily builds of BlendLuxCore are now available as well.
I have updated the first post.

Re: LuxCoreRender daily/automatic builds

Posted: Wed Sep 11, 2019 5:15 pm
by Asticles
Amazing! thanks!

Re: LuxCoreRender daily/automatic builds

Posted: Fri Sep 13, 2019 11:16 am
by Racleborg
Great. Thank you :)

Re: LuxCoreRender daily/automatic builds

Posted: Fri Oct 04, 2019 3:02 pm
by Dade
The v2.2 has been released and, now on, the daily/automatic builds will be about v2.3.

Re: LuxCoreRender daily/automatic builds

Posted: Sat Oct 05, 2019 10:45 am
by Racleborg
Great. Thank you :)

Re: LuxCoreRender daily/automatic builds

Posted: Sun Nov 17, 2019 5:41 am
by Martini
Is there any issue with the daily builds for Linux right now? I get an error about not being able to find libtbbmalloc.so.2 even though it's in the same directory. :?

Output from Blender:

Code: Select all

Modules Installed (BlendLuxCore) from '/home/martini/Downloads/BlendLuxCore-latest-linux64-opencl (1).zip' into '/home/martini/.config/blender/2.81/scripts/addons'
Traceback (most recent call last):
  File "/home/martini/Downloads/blender-2.81/2.81/scripts/modules/addon_utils.py", line 351, in enable
    mod = __import__(module_name)
  File "/home/martini/.config/blender/2.81/scripts/addons/BlendLuxCore/__init__.py", line 23, in <module>
    raise Exception(msg + "\n\nImportError: %s" % error) from None
Exception: 

Could not import pyluxcore.

ImportError: libtbbmalloc.so.2: cannot open shared object file: No such file or directory
The file is right there:

Code: Select all

~/.config/blender/2.81/scripts/addons/BlendLuxCore/bin$ ll
total 127080
drwxr-xr-x  3 martini martini     4096 Nov 17 16:32 ./
drwxr-xr-x 15 martini martini     4096 Nov 17 16:32 ../
-rwxr-xr-x  1 martini martini   117395 Nov 17 16:32 denoise*
-rw-r--r--  1 martini martini     2565 Nov 17 16:32 get_binaries.py
-rw-r--r--  1 martini martini      107 Nov 17 16:32 .gitignore
-rw-r--r--  1 martini martini        0 Nov 17 16:32 __init__.py
-rw-r--r--  1 martini martini 39181910 Nov 17 16:32 libembree3.so.3
-rw-r--r--  1 martini martini 40778269 Nov 17 16:32 libOpenImageDenoise.so.0
-rw-r--r--  1 martini martini   801899 Nov 17 16:32 libtbbmalloc.so.2
-rw-r--r--  1 martini martini  2153201 Nov 17 16:32 libtbb.so.2
drwxr-xr-x  2 martini martini     4096 Nov 17 16:32 __pycache__/
-rw-r--r--  1 martini martini 47002352 Nov 17 16:32 pyluxcore.so
-rw-r--r--  1 martini martini    58298 Nov 17 16:32 pyluxcoretools.zip
-rw-r--r--  1 martini martini      675 Nov 17 16:32 readme.md
This happened when trying to enable the addon in Blender. I was struggling with the same thing yesterday and somehow got it to work while messing around with the 2.2 release, but can't remember what I did to make it work; now it's not working again.

For context: I was hoping to do another test regarding the issue of Light Tracing being far too bright, and run it in LuxCore UI directly. So I downloaded the standalone LuxCoreRender and unpacked it into the same place as BlendLuxCore, and then everything stopped working again. I am also not able to run LuxCore UI due to the same error.

Here is the output of ldd. The only lib it can't find is the one mentioned above, so I've pasted just the relevant portion

Code: Select all

~/.config/blender/2.81/scripts/addons/BlendLuxCore/bin$ ldd pyluxcore.so | grep libtbbmalloc
	libtbbmalloc.so.2 => not found
	libtbbmalloc.so.2 => /home/martini/.config/blender/2.81/scripts/addons/BlendLuxCore/bin/./libtbbmalloc.so.2 (0x00007f233d981000)

Re: LuxCoreRender daily/automatic builds

Posted: Sun Nov 17, 2019 10:17 am
by Dade
Martini wrote:
Sun Nov 17, 2019 5:41 am
So I downloaded the standalone LuxCoreRender and unpacked it into the same place as BlendLuxCore, and then everything stopped working again.
This is not the way the standalone version is intended to be used, just unpack in a different directory. I'm not sure what kind of consequences can have this action, have you tried to delete "~/.config/blender/2.81/scripts/addons/BlendLuxCore" and re-install BlendLuxCore from scratch ?

Re: LuxCoreRender daily/automatic builds

Posted: Sun Nov 17, 2019 11:16 am
by Martini
Dade wrote:
Sun Nov 17, 2019 10:17 am
Martini wrote:
Sun Nov 17, 2019 5:41 am
So I downloaded the standalone LuxCoreRender and unpacked it into the same place as BlendLuxCore, and then everything stopped working again.
This is not the way the standalone version is intended to be used, just unpack in a different directory. I'm not sure what kind of consequences can have this action, have you tried to delete "~/.config/blender/2.81/scripts/addons/BlendLuxCore" and re-install BlendLuxCore from scratch ?
Yeah, sorry, I came across a post much earlier in this thread and I thought I'd try that procedure.

I forgot to mention I did completely remove the addon, confirm the directory is gone, restart Blender, and reinstall the addon by clicking Install in Blender and then locating the 'latest' version that I downloaded from the releases page on GitHub. I've also unpacked the standalone to its own directory elsewhere and it can't find the shared library in that location either. The output of the ldd command in all cases is the same: it has 2 entries for libtbbmalloc.so.2 - the first is "not found" and the second is the correct location. And it won't allow me to install the addon in Blender, or run the standalone.

Edit: I can install the release version 2.2 of the addon with no problems